# Uses of Class
net.sourceforge.jiu.codecs.tiff.TIFFImageFileDirectory

Packages that use TIFFImageFileDirectory
Package
Description
net.sourceforge.jiu.codecs.tiff

## Uses of TIFFImageFileDirectory in net.sourceforge.jiu.codecs.tiff

Fields in net.sourceforge.jiu.codecs.tiff declared as TIFFImageFileDirectory
Modifier and Type
Field
Description
`private TIFFImageFileDirectory`
TIFFDecoder.`ifd`
Methods in net.sourceforge.jiu.codecs.tiff that return TIFFImageFileDirectory
Modifier and Type
Method
Description
`TIFFImageFileDirectory`
TIFFDecoder.`getImageFileDirectory()`
Returns the IFD for the image this decoder is supposed to uncompress (partially).
`private TIFFImageFileDirectory`
TIFFCodec.`readImageFileDirectory()`
Reads a complete TIFF image file directory including all data that is pointed to using the offset components and returns it.
Methods in net.sourceforge.jiu.codecs.tiff with parameters of type TIFFImageFileDirectory
Modifier and Type
Method
Description
`private static TIFFDecoder`
TIFFCodec.`createDecoder(TIFFCodec codec, TIFFImageFileDirectory ifd, int tileIndex)`
`private void`
TIFFCodec.`load(TIFFImageFileDirectory ifd)`
`void`
TIFFDecoder.`setImageFileDirectory(TIFFImageFileDirectory tiffIfd)`
Specify the IFD to be used with this decoder.